<?php get_header();
global $data;
?>

<section class="mid_wrap">




    <div id="myCarousel" class="carousel slide" data-ride="carousel">
        <ul class="carousel-indicators bxslider">
            <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
            <li data-target="#myCarousel" data-slide-to="1"></li>
            <li data-target="#myCarousel" data-slide-to="2"></li>
        </ul>

        <div class="carousel-inner">
            <?php
            $slides = $data['slider_1'];
            if(is_array($slides) > 0)
            {
                $slider_i = 0;
                foreach ($slides as $slide)
                {
                    // print_r($slide);exit;
                    $title = $slide['title'];
                    $thumbnail = $slide['url'];
                    $link = $slide['link'];
                    $description = $slide['description'];
                    if(!empty($thumbnail))
                    {

                        ?>

                        <div class="carousel-item  <?php if($slider_i==0){echo 'active'; } ?> ">
                            <div class="slide1">
                                <div class="container">
                                    <div class="row align-items-center">
                                        <div class="col-md-6 order-md-2"><div class="s_descrip ">
                                                <h1 class="mb-4"><?php echo $title; ?></h1>
                                                <p class="mb-4 pb-3"> <?php echo $description; ?> </p>
                                                <!--                                    <div class="rw"><a href="#" class="btn btn3 mr-4">--><?php //echo $data['slider_but1']; ?><!--<span class="r_arw"><i><img src="--><?php //echo $data['slider_but_img1']; ?><!--"  alt="img"></i></span></a></div>-->

                                            </div></div>


                                        <div class="col-md-6 order-md-1"><a href="<?php echo $link; ?>" target="_blank"><img src="<?php echo $thumbnail; ?>" class="img_full"  alt="img"></a></div>

                                    </div>
                                </div>

                            </div>



                        </div>
                        <?php

                        $slider_i ++;
                    }
                }
            }
            ?>
            <a class="carousel-control-prev" href="#myCarousel" data-slide="prev">
                <i class="fa fa-angle-left"></i> </a>
            <a class="carousel-control-next" href="#myCarousel" data-slide="next">
                <i class="fa fa-angle-right"></i> </a>
        </div>
    </div>





    <?php if ($data['show_ser']==1){ ?>
        <div class="relaxzone bx_all_wrap bg_gry1 pb-5 ">
            <div class="container">
                <div class="title_wrap1 mb-5">
                    <div class="row">
                        <div class="col-xl-8 col-lg-10 col-md-12 text-center m-auto">
                            <h2><span><?php echo $data['ser-title']; ?></span> </h2>
                            <p class="m-0"><?php echo $data['ser-desc']; ?></p>

                        </div>

                    </div>

                </div>

                <div class="service_grd row text-center">


                    <?php
                    $slides = $data['pingu_services'];
                    if(is_array($slides) > 0)
                    {
                    $slider_i = 0;
                    foreach ($slides as $slide)
                    {
                    
                    $title = $slide['title'];
                    $thumbnail = $slide['url'];
                    $link = $slide['link'];
                    $description = $slide['description'];
                    if(!empty($thumbnail))
                    {


                    ?>

                    <div class="col-md-3">
                        <div class="rz_cl">
                            <i><img src="<?php echo $thumbnail; ?>" class="img-fluid" alt="img"></i>
                            <h4><?php echo $title; ?></h4>
                            <p class="m-0"><?php echo $description; ?></p>

                        </div>


                    </div>


                        <?php

                        $slider_i ++;
                    }
                    }
                    }
                    ?>
                </div>


            </div>
        </div>

    <?php } ?>
    <?php if ($data['show_as']==1){ ?>
    <div class="about bx_all_wrap">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-md-6">
                    <div class="row">
                        <div class="col-md-12"><div class="abt_img_1 mb_30"><img src="<?php echo $data['as_img1']; ?>" class="img_full"  alt="img"></div></div>
                        <div class="col-md-6"><div class="abt_img_2"><img src="<?php echo $data['as_img2']; ?>" class="img_full"  alt="img"></div></div>
                        <div class="col-md-6"><div class="abt_img_2"><img src="<?php echo $data['as_img3']; ?>" class="img_full"  alt="img"></div></div>

                    </div>


                </div>

                <div class="col-md-6">
                    <div class="about_detail_h">
                        <div class="title_ab mb-3">
                            <div class="c_number"><?php echo $data['as_num']; ?>+</div>
                            <div class="c_txt"><?php echo $data['as_text']; ?></div>

                        </div>

                        <h2 class="mb-3"><span><?php echo $data['as_title']; ?></span> </h2>
                        <p class="mb-4 font16"><?php echo $data['as_desc'] ?></p>
                        <ul class="ul1">
                            <li><?php echo $data['as_list1']; ?></li>
                            <li><?php echo $data['as_list2']; ?></li>
                            <li><?php echo $data['as_list3']; ?></li>
                            <li><?php echo $data['as_list4']; ?></li>
                            <li><?php echo $data['as_list5']; ?></li>

                        </ul>

                        <a href="about" class="btn btn3 mr-4"><?php echo $data['as_but']; ?><span class="r_arw"><i><img src="<?php echo $data['as_btn_img']; ?>" alt="img"></i></span></a>

                    </div>



                </div>
            </div>

        </div>
    </div>
    <?php } ?>

    <?php if ($data['show_product']==1){ ?>
    <div class="oe_product bx_all_wrap bg_gry1">
        <div class="container">
            <h2 class="mb-5 text-center"><span><?php echo $data['pro_title']; ?></span></h2>

            <div class="owl-carousel owl-carouselb owl-theme">

                <?php 		$args = array( 'post_type' => 'product',
                    'posts_per_page' => 10,
                    'paged'=>1 ,
                    'meta_key' => $data['new_sort_by'],
                    'orderby' => 'title');

                $products = new WP_Query( $args );
                $i = 1;
                while ( $products->have_posts() ) {
                    $products->the_post();

                    $image_id = get_post_thumbnail_id();
                    global $gallery_image_size;
                    //$featured_image = wp_get_attachment_image_src( $image_id, 'small' );
                    $featured_image = wp_get_attachment_image_src( $image_id, 'small' );
                    // $description = get_post_meta( get_the_ID(), '_product_description');
                    $description = get_the_content();
                    $description =  strlen($description) > 10? substr($description,0,10)."..." : $description;

                    $currentPrice = get_post_meta( get_the_ID(), '_price');
                    $actualPrice = get_post_meta( get_the_ID(), '_regular_price');
                    $small_Desc =  strlen($description[0]) > 60? substr($description[0],0,60)."..." : $description[0];
                    $title = get_the_title();
                    ?>
                    <div class="item ">
                        <a href="#" class="oep_cl"> <figcaption>
                                <!--                            <p class="star mb-1"><i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i></p>-->
                                <h4><?php echo $title ?></h4>
                                <p class="oep_price">Price :<?php echo $currentPrice[0]; ?></p>
                            </figcaption>
                            <figure class="m-0"><img src="<?php echo $featured_image[0]; ?>" class="img-fluid"  alt="img"></figure>
                            <p class="oep_price"><?php echo $description; ?></p>

                        </a></div>
                    <?php
                    $i++;
                }
                ?>
            </div>

        </div>
    </div>
    <?php } ?>

    <?php if ($data['show_photo']==1){ ?>
    <div class="photogallery bx_all_wrap">
        <div class="container">
            <h2 class="mb-4 text-center"><span><?php echo $data['photo_tittle']; ?></span> </h2>

            <div class="gallerywrap">
                <ul class="nav filter nav-tabs">
                    <li class="nav-item active">
                        <a  href="javascript:void(0)" class="all" >All</a>
<!--                        <a  data-toggle="tab" href="#item1">--><?php //echo $data['item1_title']; ?><!--</a>-->
                    </li>
                    <?php
                    global $term_list;
                    global $args;
                    // Get the taxonomy
                    $terms = get_terms('filter', $args);

                    // set a count to the amount of categories in our taxonomy

                    $count = count($terms);

                    $i=0;
                    // test if the count has any categories
                    if ($count > 0) {
                        // break each of the categories into individual elements
                        foreach ($terms as $term) {

                            // increase the count by 1
                            $i++;
                            // rewrite the output for each category
                            $term_list .= '<li class="nav-item "  ><a  href="javascript:void(0)" class="'. $term->slug .'">' . $term->name . '</a></li>';
                            // if count is equal to i then output blank
                            if ($count != $i)
                            {
                                $term_list .= '';
                            }
                            else
                            {
                                $term_list .= '';
                            }
                        }
                        // print out each of the categories in our new format
                        echo $term_list;
                    }
                    ?>
                </ul>

                <!-- Tab panes -->
<!--                <div class="tab-content">-->
<!--                    <div class="tab-pane  active" id="item1">-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-4"><div class="glry_cl"><a href="#" class="d-block"><img src="--><?php ////echo $data['item1_img1']; ?><!--" class="img_full"  alt="img"></a></div></div>-->
<!--                            <div class="col-md-4"><div class="glry_cl"><a href="#" class="d-block"><img src="--><?php ////echo $data['item1_img2']; ?><!--" class="img_full"  alt="img"></a></div></div>-->
<!--                           <div class="col-md-4"><div class="glry_cl"><a href="#" class="d-block"><img src="--><?php ////echo $data['item1_img3']; ?><!--" class="img_full"  alt="img"></a></div></div>-->
<!--                          <div class="col-md-4"><div class="glry_cl"><a href="#" class="d-block"><img src="--><?php ////echo $data['item1_img4']; ?><!--" class="img_full"  alt="img"></a></div></div>-->
<!--                           <div class="col-md-4"><div class="glry_cl"><a href="#" class="d-block"><img src="--><?php ////echo $data['item1_img5']; ?><!--" class="img_full"  alt="img"></a></div></div>-->
<!--                           <div class="col-md-4"><div class="glry_cl"><a href="#" class="d-block"><img src="--><?php ////echo $data['item1_img6']; ?><!--" class="img_full"  alt="img"></a></div></div>-->
<!---->
<!---->
<!---->
<!---->
<!---->
<!---->
<!--                        </div>-->
<!---->
<!---->
<!--                    </div>-->
<!---->
<!---->
<!--                </div>-->




                <div class="tab-content">
                    <div class=" tab-pane  active">
                        <div class=" row filterable-grid ">

                            <?php
                            // Set the page to be pagination
                            $paged = get_query_var('paged') ? get_query_var('paged') : 1;
                            // Query Out Database
                            query_posts(array('post_type' => 'portfolio', 'posts_per_page' =>'6', 'paged' => $paged ) );
                            ?>
                            <?php
                            // Begin The Loop
                            if (have_posts()) : while (have_posts()) : the_post();
                                ?>
                                <?php
                                // Get The Taxonomy 'Filter' Categories
                                $terms = get_the_terms( get_the_ID(), 'filter' );
                                //print_r($terms);
                                //print_r($terms[0]['slug']);
                                ?>

                                <?php
                                $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
                                $large_image = $large_image[0];
                                ?>

                                <?php
                                //Apply a data-id for unique indentity,
                                //and loop through the taxonomy and assign the terms to the portfolio item to a data-type,
                                // which will be referenced when writing our Quicksand Script
                                //error_reporting(0);
                                ?>

                            <div class="col-md-4" data-id="id-<?php echo $count; ?>" data-type="<?php if($terms != "") { foreach ($terms as $term) { echo $term->slug ;}}//echo strtolower(preg_replace('/\s+/', '-', $term->name)); } } ?>"><div class="glry_cl" >
                                    <?php

                                    if($term->slug =='video'):

                                        // Check if wordpress supports featured images, and if so output the thumbnail
                                        if ( (function_exists('has_post_thumbnail')) && (has_post_thumbnail()) ) :
                                            ?>

                                            <?php // Output the featured image ?>
                                            <div class="thumbnl">
                                                <a class="preview" href="javascript:void(0);" onclick="popupvideo(<?php echo $count; ?>);" data-id="id-<?php echo $count; ?>" target="_blank">
                                                    <?php the_post_thumbnail('portfolio-thumb'); ?></a>
                                            </div>
                                            <div class="popup_area" id="<?php echo $count; ?>" style="display:none">
                                                <div class="container">
                                                    <div class="popup_cont" style="background:#ffaa00">
                                                        <div class="tp_cont">
                                                            <div class="pull-left"><h2><?php echo the_title() ;?></h2></div>
                                                            <div class="close_ui_sect"><a href="#" class="" id="" onclick="closeport(<?php echo $count; ?>);"><i class="fa fa-times" style="font-size:22px"></i></a></div>
                                                        </div>

                                                        <div class="popup_inner" id="popup_inner_<?php echo $count; ?>">


                                                            <?php the_content();?>


                                                        </div>
                                                        <div id="popup_inner1_<?php echo $count; ?>" style="display:none"></div>
                                                    </div>
                                                </div>
                                            </div>

                                        <?php endif; ?>
                                    <?php else:
// Check if wordpress supports featured images, and if so output the thumbnail
                                        if ( (function_exists('has_post_thumbnail')) && (has_post_thumbnail()) ) :
                                            ?>

                                            <?php // Output the featured image ?>
                                            <div class="thumbnl">
                                                <a rel="prettyPhoto[gallery]" href="<?php echo $large_image ?>" target="_blank">
                                                    <?php the_post_thumbnail('portfolio-thumb'); ?></a>
                                            </div>

                                        <?php endif; ?>
                                    <?php endif; ?>
                                </div>
                            </div>

                                <?php $count++; // Increase the count by 1 ?>
                            <?php endwhile; endif; // END the Wordpress Loop ?>
                            <?php wp_reset_query(); // Reset the Query Loop?>
<!--                            <div class="Pagenatebx2">-->
<!--                                --><?php //if (function_exists("pagination")) {
//                                    pagination();
//                                } ?>
<!---->
<!--                        </div>-->
                    </div>
                </div>
            </div>






            </div>

        </div>
    </div>
    <?php } ?>


    <?php if ($data['show_team']==1){ ?>

        <div class="teamexpert bx_all_wrap bg_gry1">
            <div class="container">
                <div class="mid_title_t text-center mb-5">
                    <div class="row">
                        <div class="col-xl-7 col-lg-8 col-md-12 m-auto">
                            <h2 class="mb-4"><span><?php echo $data['team_title_as']; ?></span></h2>
                            <p class="font16  m-0"><?php echo $data['team_desc_as']; ?>  </p>
                        </div>
                    </div>
                </div>

            <div class="row">

            <?php
                    $slides = $data['pingu_team'];
                    if(is_array($slides) > 0)
                    {
                    $slider_i = 0;
                    foreach ($slides as $slide)
                    {
                    // print_r($slide);exit;
                    $title = $slide['title'];
                    $thumbnail = $slide['url'];
                    $link = $slide['link'];
                    $fb_link = $slide['fb_link'];
                    $insta_link = $slide['insta_link'];
                    $tw_link = $slide['tw_link'];
                    $description = $slide['description'];
                    if(!empty($thumbnail))
                    {


            ?>
                            
                                <div class="col-md-3">
                                    <div class="team_cl ">
                                    <figure class="m-0 p-0"><img src="<?php echo $thumbnail ?>" class="img_full" alt="img">
                                        <div class="overlay">
                                            <?php if(!empty($fb_link)){?>
                                            <a href="<?php echo $fb_link; ?>"><i class="fa fa-facebook-f"></i></a>
                                            <?php } 
                                            if(!empty($tw_link)){?> 
                                            <a href="<?php echo $tw_link; ?>"><i class="fa fa-twitter"></i></a>
                                            <?php }
                                            if(!empty($insta_link)){ ?>
                                            <a href="<?php echo $insta_link; ?>"><i class="fa fa-instagram"></i></a>
                                            <?php } ?>
                                        </div>
                                    </figure>
                                    <figcaption>
                                        <a href="<?php echo $link ?>" target="_blank">
                                        <h5><?php echo $title ?></h5>
                                        <p class="m-0"><?php echo $description ?></p>
                                        </a>
                                    </figcaption>

                                </div>


                                </div>

                           
                    <?php

                        $slider_i ++;
                    }
                    }
                    }
                    ?>
            </div>

    </div>
</div>
        
    <?php } ?>

            <?php if ($data['show_test_spa']==1){ ?>
    <div class="bx_all_wrap">
        <div class="container">
            <div class="testimonial_mid">
            <h2 class="mb-4 text-center"><span><?php echo $data['testimonial_main_title']; ?></span></h2>
                

                <div id="myCarousel2" class="carousel slide" data-ride="carousel">
                    <div class="carousel-inner">
                        <?php

                        $slides = $data['pingu_testimonials'];
                        if(is_array($slides) > 0)
                        {
                            $slider_i = 0;
                            foreach ($slides as $slide)
                            {
                                // print_r($slide);exit;
                                $title = $slide['title'];
                                $thumbnail = $slide['url'];
                                $link = $slide['link'];
                                $description = $slide['description'];
                                ?>
                        <div class="carousel-item  <?php if($slider_i==0){echo 'active'; } ?> ">
                            <div class="row">
                                <div class="col-xl-7 col-lg-7 col-md-8 text-center m-auto"><div class="testimonial">
                                        <p class="test_descrip mb-4"><?php echo $description  ?></p>
                                        <h5><?php echo $title ?></h5>
                                        <h6>CUSTOMERS</h6>
                                    </div>
                                </div>


                            </div>


                        </div>

                        <?php
                        $slider_i++;
                        }
                        }
                        ?>


                    </div>

                    <a class="carousel-control-prev" href="#myCarousel2" data-slide="prev">
                        <i class="fa fa-angle-left"></i> </a>
                    <a class="carousel-control-next" href="#myCarousel2" data-slide="next">
                        <i class="fa fa-angle-right"></i> </a>

                    <ul class="carousel-indicators">

                        <?php

                        $slides = $data['pingu_testimonials'];
                        if(is_array($slides) > 0)
                        {
                        $slider_i = 0;
                        foreach ($slides as $slide)
                        {
                        $thumbnail = $slide['url'];
                        ?>
                        <li data-target="#myCarousel2" data-slide-to="0" class="active"><img src="<?php echo $thumbnail; ?>" class="img-fluid"  alt="img"></li>
                            <?php
                            $slider_i++;
                        }
                        }
                        ?>
                    </ul>

                </div>


            </div>
        </div>
    </div>
            <?php } ?>

    <?php if ($data['show_blogs']==1){ ?>
    <div class="our_blog bx_all_wrap">
        <div class="container">
            <div class="top_h text-center mb-5 pb-2">
                <div class="row">
                    <div class="col-xl-6 col-lg-7 col-md-12 m-auto">
                        <h2 class="mb-3 mt-3 pb-2 "><span><?php echo $data['blog_title']; ?></span> </h2>
                        <p class="m-0 font16 lh28"><?php echo $data['blog_desc']; ?></p>

                    </div>


                </div>
            </div>


            <div class="row">
                <?php

                $blog_width = $data['select_bloglayout'];
                $total_blog = $data['home_blogs'];
                if(empty($total_blog))
                {
                  $total_blog = 3;
                }
                $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;



                query_posts(array(
                    'post_type'      => 'post', // You can add a custom post type if you like

                    'paged'          => $paged,
                    'posts_per_page' => $total_blog
                ));


                ?>

                <?php
                if (have_posts()) : while (have_posts()) : the_post();
                $ID=get_the_ID();
                $image_id = get_post_thumbnail_id();
                global $gallery_image_size;
                $title = get_the_title();
                $title =  strlen($title) > 26? substr($title,0,26)."..." : $title;

                $description = get_the_content();
                $description =  strlen($description) > 160? substr($description,0,160)."..." : $description;
                $author_id = get_post_field( 'post_author', $ID );
                $image_id = get_post_thumbnail_id();
                global $gallery_image_size;
                $featured_image = wp_get_attachment_image_src( $image_id, 'small' );
                $catID = get_the_category();
                //                        print_r($catID);


                if(!empty($featured_image))
                {


                ?>
                <div class="col-md-4">
                    <div class="our_blog_cl">



                        <figure><a href="<?php the_permalink(); ?>"><img src="<?php echo $featured_image[0]; ?>" class=" img_full" alt="img"></a></figure>
                        <figcaption>
                            <div class="date_blg mb-3"><a href="#"> <?php echo get_the_date(); ?></a></div>
                            <h4 class="mb-3"><?php echo $title; ?></h4>
                            <p class="mb-4"><?php echo $description; ?></p>
                            <div class="blg_btm d-flex justify-content-between align-items-center">
                                <a href="<?= the_permalink() ?>">Read More <i><img src="https://engageleads-launches.s3.us-west-2.amazonaws.com/Offline/AppointifyV2/themes/spa/images/arrow_right2.png" alt="img"></i></a>
                            </div>

                        </figcaption>


                    </div>


                </div>
                <?php } endwhile; ?>
                <?php else : ?>
                    <div class="alert alert-danger">No Blogs Found</div>
                <?php endif; ?>


            </div>


        </div>
    </div>
    <?php } ?>

    <?php
                      
    if($data['check_blogsubscribe'] == 1)
    
    {
    
    ?>

    <div class="s_newsletter bx_all_wrap bg_gry1">
    <div class="container">
    <div class="s_newsletter_md position-relative">
    <div class="row">
    <div class="col-xl-6 col-lg-7 col-md-10 m-auto">
    <div class="subscribeform">
    <h2 class="text-center mb-4"><?= $data['sub_email_head'] ?></h2>
                <div id="paste_html_code" style="display:none">
                    <?php 
                        if($data['enable_copyresponder'] !=0)
                        {  
                            echo $data['copypaste_autoresponder'];
                        }
                    ?>
                </div>
    <p class="text-center mb-5"><?= $data['sub_desc_txt'] ?></p>
    <div id="paste_html_code1" class="col-md-12 text-centert">
        <form action="#" method="Post" class="position-relative ml-5 mr-5">
            <div id="hiddenAutoResponser">
                <input type="hidden" id="mailer" name="mailer" value="<?php echo $data['mailertype']; ?>">
                <input type="hidden" id="parameter1" name="parameter1" value="<?php echo $data['parameter1']; ?>">
                <input type="hidden" id="parameter2" name="parameter2" value="<?php echo $data['parameter2']; ?>">
                <input type="hidden" id="parameter3" name="parameter3" value="<?php echo $data['parameter3']; ?>">
                <input type="hidden" id="parameter4" name="parameter4" value="">
                 <input type="hidden" id="parameter5" name="parameter5" value=""   >
            </div>

            <input name="fullname" value="friend" type="hidden" id="name"> 
            <input name="email" required type="text" class="form-control" placeholder="<?= $data['sub_email_place'] ?>" id="inputEmail">
            <input name="" type="button" id="submitform" class="btn">
        </form>
    </div>
    </div>
    </div>
    </div>
    </div>
    </div>
    </div>

    <?php

     }

    ?>
    <?php if ($data['show_logo']){ ?>
    <div class="spalogo bx_all_wrap">
        <div class="container text-center">
            <div class="top_h text-center mb-5 pb-2">
                <div class="row">
                    <div class="col-xl-9 col-lg-10 col-md-12 m-auto">
                        <h2 class="mb-3 mt-3 pb-2 "><i><img src="<?php echo $data['part_logo']; ?>"></i> <?php echo $data['part_title']; ?> </h2>
                        <p class="m-0 font16 lh28"><?php echo $data['part_desc']; ?></p>
                    </div>
                </div>
            </div>
            <ul>

                <?php
                $slides = $data['partner_is'];
                if(is_array($slides) > 0)
                {
                    $slider_i = 0;
                    foreach ($slides as $slide)
                    {
                        // print_r($slide);exit;
                        $title = $slide['title'];
                        $thumbnail = $slide['url'];
                        $link = $slide['link'];
                        $description = $slide['description'];
                        if(!empty($thumbnail))
                        {
                            ?>
                            <li><img src="<?php echo $thumbnail; ?>" class="img-fluid" alt="img"></li>

                            <?php

                            $slider_i ++;
                        }
                    }
                }
                ?>


            </ul>


        </div>

    </div>
    <?php } ?>


</section>

<?php get_footer(); ?>

