<?php
// Template Name: template-blog

get_header();
global $data;
global $post;
?>




    <section class="mid_wrap">

        <?php if ($data['blog_banner']==1){ ?>
            <style>
                .inner_h_title{ background:url(<?php echo $data['blog_banner_img'] ; ?>) no-repeat center center; background-size:cover; min-height:280px; display:flex; align-items:center;}
                .inner_h_title .breadcrumb{ background:none; border-radius:0px; padding:0px; margin:0px;}
                .inner_h_title .breadcrumb li{ color:#0e073d; font-size:16px;}
                .inner_h_title .breadcrumb li a{ color:#0e073d;}
                .inner_h_title .breadcrumb-item + .breadcrumb-item::before{ content:"\f105"; font-family:'FontAwesome'; color:#0e073d;}
                .inner_h_title h1{ color:#0e073d;}

            </style>
            <div class="inner_h_title">
                <div class="container">
                    <h1><?php echo $data['blog_banner_main_title']; ?></h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                        <li class="breadcrumb-item active" style="color:<?php  echo $data['breadfontcolor']; ?>;font-size:<?php echo $data['breadfontsize']; ?>px;font-weight:<?php echo $data['breadfontweight']; ?>;line-height:32px;"><span style="color:<?php echo $data['breadfontcolor']; ?>;" aria-current="page"><?php get_breadcrumbs(); ?></li>
                        </ol>
                    </nav>

                </div>
            </div>
        <?php } ?>



        <div class="blog_m_wrap bx_all_wrap ">
            <div class="container">
<!--                <div class="blog_large_thmnl mb-4"><img src="--><?php //bloginfo('stylesheet_directory'); ?><!--/images/blog_large_img.jpg" class="img_full" alt="img"></div>-->
<!--                <p class="mb-4 pb-2">Those who are not familiar with the chemical names of the ingredients of cosmetics, prefer not to go into details – the list of components on the packaging often resembles a cipher. But with indifference to treat the fact that day after day it appears on your skin is also not quite correct. This material is devoted to the safety of funds in your cosmetic bag, as well as tips that will allow you to analyze the composition of cosmetics.</p>-->
<!--                <div class="date_blg_m mb-3">9 Apr, 2019 - by JohnFacials</div>-->
                <div class="row mb-4">
                    <div class="col-md-8">
<?php

$blog_width = $data['select_bloglayout'];
$no_of_blog = 2;
$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;



query_posts(array(
    'post_type'      => 'post', // You can add a custom post type if you like

    'paged'          => $paged,
    'posts_per_page' => $no_of_blog
));


?>

<?php
if (have_posts()) : while (have_posts()) : the_post();
    $ID=get_the_ID();
    $image_id = get_post_thumbnail_id();
    global $gallery_image_size;
    $title = get_the_title();
    $title =  strlen($title) > 26? substr($title,0,26)."..." : $title;

    $description = get_the_content();
    $description =  strlen($description) > 260? substr($description,0,260)."..." : $description;
    $author_id = get_post_field( 'post_author', $ID );
    $image_id = get_post_thumbnail_id();
    global $gallery_image_size;
    $featured_image = wp_get_attachment_image_src( $image_id, 'small' );
    $catID = get_the_category();
    //                        print_r($catID);


    if(!empty($featured_image))
    {


        ?>

                        <div class="blog_lf_section ">



                            <h3 class="txtbdr mb-3"><a style="color: #1b1e21; " href="<?php the_permalink(); ?>"><?php echo $title ?></a></h3>

                            <p class="mb-4"><?php echo  get_the_content(); ?></p>
                            <figure><a href="<?php the_permalink(); ?>"><img src="<?php echo $featured_image[0]; ?>" class=" img_full" alt="img"></a></figure>
                            <h3><?php echo get_the_date(); ?></h3>






                            <div class="blog_l_btm d-flex justify-content-between pt-5">
                                
                                <div class="uix">
                                    <?php if($data['show_tags']==1){ ?>
                                        <a href="<?php the_permalink(); ?>"><?php $cat = get_the_category(); echo $cat[0]->cat_name; ?>
                                        </a>
                                    <?php } ?>
                                </div>

                                <div class="share">
                                    <?php if($data['show_social_media']==1){ ?>

                                    <span class="share_t">Share:</span>
                                    <?php
                                    // Get current page URL
                                    $crunchifyURL = urlencode(get_permalink());

                                    // Get current page title
                                    $crunchifyTitle = str_replace( ' ', '%20', get_the_title());

                                    // Get Post Thumbnail for pinterest
                                    $crunchifyThumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );

                                    $twitterURL = 'https://twitter.com/intent/tweet?text='.$crunchifyTitle.'&amp;url='.$crunchifyURL.'&amp;via=Crunchify';
                                    $facebookURL = 'https://www.facebook.com/sharer/sharer.php?u='.$crunchifyURL;
                                    $googleURL = 'https://plus.google.com/share?url='.$crunchifyURL;
                                    $bufferURL = 'https://bufferapp.com/add?url='.$crunchifyURL.'&amp;text='.$crunchifyTitle;
                                    $linkedInURL = 'https://www.linkedin.com/shareArticle?mini=true&url='.$crunchifyURL.'&amp;title='.$crunchifyTitle;
                                    $whatsappURL = 'whatsapp://send?text='.$crunchifyTitle . ' ' . $crunchifyURL;
                                    ?>
                                    <a target = '_blank' href="<?php echo $facebookURL; ?>"><i class="fa fa-facebook-f"></i></a><a target = '_blank' href="<?php echo $twitterURL; ?>"><i class="fa fa-twitter"></i></a><a target = '_blank' href="#"><i class="fa fa-instagram"></i></a>

                                    <?php } ?>
                                </div>
                                
                            </div>

                            <br>
                            <div class="blg_btm d-flex justify-content-between align-items-center">
                                <a class='link1' href="<?= the_permalink() ?>">Read More</a>
                                </a>                            </div>


                        </div>


        <br><br>
    <?php } endwhile; ?>
<?php else : ?>
    <div class="alert alert-danger" >No Blogs Found</div>
<?php endif; ?>
                    </div>

                    <div class="col-md-4">

<!--                        <div class="profile mb-4 text-center">-->
<!--                            <figure><img src="--><?php //bloginfo('stylesheet_directory'); ?><!--/images/profile_pic.jpg" class="img-fluid" alt="img"></figure>-->
<!--                            <figcaption>-->
<!--                                <h5>John Facials</h5>-->
<!--                                <p>The order of listing ingredients depends on their concentration</p>-->
<!---->
<!--                                <p class="social_sml"><a href="#"><i class="fa fa-facebook-f"></i></a><a href="#"><i class="fa fa-twitter"></i></a><a href="#"><i class="fa fa-instagram"></i></a></p>-->
<!---->
<!--                            </figcaption>-->
<!---->
<!---->
<!--                        </div>-->

                        <?php

                        dynamic_sidebar('main-sidebar');

                        ?>





<!--                        <div class="opening_hours_r">-->
<!--                            <h4 class="fw600 fon20 mb-3">Opening Hours</h4>-->
<!---->
<!--                            <table class="mb-4" width="100%" cellspacing="0" cellpadding="0" border="0">-->
<!--                                <tbody><tr>-->
<!--                                    <td>Sun to Mon</td>-->
<!--                                    <td>10 AM to 12PM</td>-->
<!--                                </tr>-->
<!--                                <tr>-->
<!--                                    <td>Tue to Sun</td>-->
<!--                                    <td>10 AM to 12PM</td>-->
<!--                                </tr>-->
<!--                                <tr>-->
<!--                                    <td>Sun to Mon</td>-->
<!--                                    <td>10 AM to 12PM</td>-->
<!--                                </tr>-->
<!--                                </tbody></table>-->
<!---->
<!--                            <a href="#" class="btn frm_btn">Make Appointment</a>-->
<!---->
<!--                        </div>-->


                    </div>


                </div>
                <div class="pagination_sec">
                    <ul class="pagination justify-content-center">

                        <?php if (function_exists("pagination")) {
                            pagination();
                        } ?>
                        <!--                        <li class="page-item"><a class="page-link prev" href="#"><i class="fa fa-long-arrow-left"></i></a></li>-->
                        <!--                        <li class="page-item"><a class="page-link" href="#">1</a></li>-->
                        <!--                        <li class="page-item"><a class="page-link" href="#">2</a></li>-->
                        <!--                        <li class="page-item"><a class="page-link" href="#">3</a></li>-->
                        <!--                        <li class="page-item"><a class="page-link next" href="#"><i class="fa fa-long-arrow-right"></i></a></li>-->
                    </ul>

                </div>

                <?php if ($data['blog_la']==1){ ?>
                <div class="moreartical pt-5 mb-5">
                    <div class="t_h_m_arct mb-4 d-flex align-items-center justify-content-between">
                        <h4 class="m-0  "><?php echo $data['blog_ra1']; ?></h4>
                    </div>


                    <div class="row">
    <?php

    $blog_width = $data['select_bloglayout'];
    $no_of_blog = 3;
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;



    query_posts(array(
        'post_type'      => 'post', // You can add a custom post type if you like

        'paged'          => $paged,
        'posts_per_page' => $no_of_blog
    ));


    ?>

    <?php
    if (have_posts()) : while (have_posts()) : the_post();
        $ID=get_the_ID();
        $image_id = get_post_thumbnail_id();
        global $gallery_image_size;
        $title = get_the_title();
        $title =  strlen($title) > 20? substr($title,0,20)."..." : $title;

        $description = get_the_content();
        $description =  strlen($description) > 160? substr($description,0,160)."..." : $description;
        $author_id = get_post_field( 'post_author', $ID );
        $image_id = get_post_thumbnail_id();
        global $gallery_image_size;
        $featured_image = wp_get_attachment_image_src( $image_id, 'small' );
        $catID = get_the_category();
        //                        print_r($catID);


        if(!empty($featured_image))
        {


            ?>
                        <div class="col-xl-4 col-lg-4 col-md-6">
                            <div class="our_blog_cl macl "><figure><a href="<?php the_permalink(); ?>"><img src="<?php echo $featured_image[0]; ?>" class=" img_full" alt="img"></a></figure>
                                <figcaption>
                                    <h4 class="mb-0"><?php echo $title; ?></h4>
                                    <p ><?php echo $description; ?></p>
                                    <a href="<?php the_permalink(); ?>" class="link4">Read More <i class="fa fa-long-arrow-right"></i> </a>
                                </figcaption>

                            </div>


                        </div>

        <?php } endwhile; ?>
    <?php else : ?>
        <div class="alert alert-danger" style="margin-left: 400px">No Blogs Found</div>
    <?php endif; ?>





                    </div>
                </div>
    <?php } ?>



            </div>
        </div>








    </section>


<?php get_footer(); ?>