<?php
// Template Name: template-services

get_header();
global $data;
?>




<section class="mid_wrap">

    <?php if ($data['show_banner_img_ser']==1){ ?>
        <style>
            .inner_h_title{ background:url(<?php echo $data['as_banner_img'] ; ?>) no-repeat center center; background-size:cover; min-height:280px; display:flex; align-items:center;}
            .inner_h_title .breadcrumb{ background:none; border-radius:0px; padding:0px; margin:0px;}
            .inner_h_title .breadcrumb li{ color:#0e073d; font-size:16px;}
            .inner_h_title .breadcrumb li a{ color:#0e073d;}
            .inner_h_title .breadcrumb-item + .breadcrumb-item::before{ content:"\f105"; font-family:'FontAwesome'; color:#0e073d;}
            .inner_h_title h1{ color:#0e073d;}

        </style>
        <div class="inner_h_title">
            <div class="container">
                <h1><?php echo $data['ser_banner_main_title']; ?></h1>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item active" style="color:<?php  echo $data['breadfontcolor']; ?>;font-size:<?php echo $data['breadfontsize']; ?>px;font-weight:<?php echo $data['breadfontweight']; ?>;line-height:32px;"><span style="color:<?php echo $data['breadfontcolor']; ?>;" aria-current="page"><?php get_breadcrumbs(); ?>
                        </li>
                    </ol>
                </nav>

            </div>
        </div>
    <?php } ?>



    <?php if ($data['show_ser']==1){ ?>
    <div class="relaxzone bx_all_wrap bg_gry1 pb-5 ">
        <div class="container">
            <div class="title_wrap1 mb-5">
                <div class="row">
                    <div class="col-xl-8 col-lg-10 col-md-12 text-center m-auto">
                        <h2><span><?php echo $data['ser-title']; ?></span> </h2>
                        <p class="m-0"><?php echo $data['ser-desc']; ?></p>

                    </div>

                </div>

            </div>

            <div class="service_grd row text-center">


                <?php
                $slides = $data['pingu_services'];
                if(is_array($slides) > 0)
                {
                $slider_i = 0;
                foreach ($slides as $slide)
                {
                $title = $slide['title'];
                $thumbnail = $slide['url'];
                $link = $slide['link'];
                $description = $slide['description'];



                ?>
                <div class="col-md-3">
                    <div class="rz_cl">
                        <i><img src="<?php echo $thumbnail; ?>" class="img-fluid" alt="img"></i>
                        <h4><?php echo $title; ?></h4>
                        <p class="m-0"><?php echo $description; ?></p>

                    </div>


                </div>



                    <?php

                    $slider_i ++;
                }

                }
                ?>
            </div>


        </div>
    </div>
    <?php } ?>



    <?php if ($data['ser_timing']==1){ ?>
    <div class="bx_all_wrap">
        <div class="container">
            <div class="oh_service_bx mb-5 pb-4">
                <div class="row">
                    <div class="col-xl-6 col-lg-6 col-md-12 order-xl-2 order-lg-2">
                        <div class="row">
                            <div class="col-md-6"><div class="oh_serv_thmnl mb_30"><img src="<?php echo $data['time_img1']; ?>" class="img_full" alt="img"></div></div>
                            <div class="col-md-6"><div class="oh_serv_thmnl mb_30"><img src="<?php echo $data['time_img2']; ?>" class="img_full" alt="img"></div></div>
                            <div class="col-md-12"><div class="oh_serv_thmnl "><img src="<?php echo $data['time_img3']; ?>" class="img_full" alt="img"></div></div>

                        </div>


                    </div>

                    <div class="col-xl-6 col-lg-6 col-md-12 order-xl-1 order-lg-1">
                        <div class="open_hour_serv_cl d-flex align-items-center"><div class="center">
                                <div class="twrap text-center mb-4 pb-4">
                                    <i><img src="https://engageleads-launches.s3.us-west-2.amazonaws.com/Offline/AppointifyV2/themes/spa/images/ic_9.png"  alt="img"></i>
                                    <h3 ><?php echo $data['time-title']; ?></h3>

                                </div>

                                <table width="100%" cellspacing="0" cellpadding="0" border="0">
                                    <tbody>
                                    <?php if ($data['time-day1']){ ?>
                                    <tr>
                                        <td><?php echo $data['time-day1']; ?></td>
                                        <td><?php echo $data['time-time1']; ?></td>
                                    </tr><?php } ?>
                                    <?php if ($data['time-day2']){ ?>
                                    <tr>
                                        <td><?php echo $data['time-day2']; ?></td>
                                        <td><?php echo $data['time-time2']; ?></td>
                                    </tr><?php } ?>
                                    <?php if ($data['time-day3']){ ?>
                                    <tr>
                                        <td><?php echo $data['time-day3']; ?></td>
                                        <td><?php echo $data['time-time3']; ?></td>
                                    </tr><?php } ?>
                                    <?php if ($data['time-day4']){ ?>
                                    <tr>
                                        <td><?php echo $data['time-day4']; ?></td>
                                        <td><?php echo $data['time-time4']; ?></td>
                                    </tr><?php } ?>
                                    </tbody></table>

                            </div>
                        </div>
                    </div>


                </div>


            </div>

            <div class="about_sec2">

                <div class="row align-items-center">
                    <div class="col-xl-3 col-lg-6 col-md-6 col-6">
                        <div class="as_cl">
                            <div class="row align-items-center">
                                <div class="col-md-4"><i><img src="<?php echo $data['ach_l1']; ?>" class=" img-fluid"  alt="img"></i></div>
                                <div class="col-md-8"><figcaption><div class="h2"><?php echo $data['ach_n1']; ?>+</div><p class="m-0"><?php echo $data['ach_t1']; ?></p></figcaption></div>

                            </div>

                        </div>

                    </div>

                    <div class="col-xl-3 col-lg-6 col-md-6 col-6">
                        <div class="as_cl">
                            <div class="row align-items-center">
                                <div class="col-md-4"><i><img src="<?php echo $data['ach_l2']; ?>" class=" img-fluid"  alt="img"></i></div>
                                <div class="col-md-8"><figcaption><div class="h2"><?php echo $data['ach_n2']; ?>+</div><p class="m-0"><?php echo $data['ach_t2']; ?></p><figcaption></div>

                            </div>

                        </div>

                    </div>

                    <div class="col-xl-3 col-lg-6 col-md-6 col-6">
                        <div class="as_cl">
                            <div class="row align-items-center">
                                <div class="col-md-4"><i><img src="<?php echo $data['ach_l3']; ?>" class=" img-fluid"  alt="img"></i></div>
                                <div class="col-md-8"><figcaption><div class="h2"><?php echo $data['ach_n3']; ?>+</div><p class="m-0"><?php echo $data['ach_t3']; ?></p><figcaption></div>

                            </div>

                        </div>

                    </div>

                    <div class="col-xl-3 col-lg-6 col-md-6 col-6">
                        <div class="as_cl">
                            <div class="row align-items-center">
                                <div class="col-md-4"><i><img src="<?php echo $data['ach_l4']; ?>" class=" img-fluid"  alt="img"></i></div>
                                <div class="col-md-8"><figcaption><div class="h2"><?php echo $data['ach_n4']; ?>+</div><p class="m-0"><?php echo $data['ach_t4']; ?></p></figcaption></div>

                            </div>

                        </div>

                    </div>


                </div>

            </div>


            <?php if ($data['ser_product']==1){ ?>
            <div class="oe_product pt-4 mb-5">

                <h2 class="mb-5 text-center"><span><?php echo $data['ser_pro_title']; ?></span></h2>

                <div class="owl-carousel owl-carouselb owl-theme">

                    <?php 		$args = array( 'post_type' => 'product',
                        'posts_per_page' => 10,
                        'paged'=>1 ,
                        'meta_key' => $data['new_sort_by'],
                        'orderby' => 'title');

                    $products = new WP_Query( $args );
                    $i = 1;
                    while ( $products->have_posts() ) {
                    $products->the_post();

                    $image_id = get_post_thumbnail_id();
                    global $gallery_image_size;
                    //$featured_image = wp_get_attachment_image_src( $image_id, 'small' );
                    $featured_image = wp_get_attachment_image_src( $image_id, 'small' );
                    // $description = get_post_meta( get_the_ID(), '_product_description');
                    $description = get_the_content();

                    $currentPrice = get_post_meta( get_the_ID(), '_price');
                    $actualPrice = get_post_meta( get_the_ID(), '_regular_price');
                    $small_Desc =  strlen($description[0]) > 60? substr($description[0],0,60)."..." : $description[0];
                    $title = get_the_title();
                    ?>
                        <div class="item ">
                            <a href="#" class="oep_cl"> <figcaption>
                                    <!--                            <p class="star mb-1"><i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i></p>-->
                                    <h4><?php echo $title ?></h4>
                                    <p class="oep_price">Price :<?php echo $currentPrice[0]; ?></p>
                                </figcaption>
                                <figure class="m-0"><img  src="<?php echo $featured_image[0]; ?>" class="img-fluid"  alt="img"></figure>
                                <p class="oep_price"><?php echo $description; ?></p>

                            </a></div>
                    <?php
                $i++;
            }
                    ?>
                </div>

            </div>
            <?php } ?>

        </div>
    </div>
    <?php } ?>



</section>












<?php get_footer(); ?>
