<?php global $data;?>
<!DOCTYPE html>
<html lang="en">
<head>


    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="<?php echo $data['description_seo'] ?>">

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="keywords" content="<?php echo $data['keyword_seo'] ?>" >

    <title> <?php wp_title('&laquo;', true, 'right'); ?>
        <?php echo $data['page_title']; ?>
        <?php  global $data;   ?>

        <?php echo $data['title_seo'] ?></title>
    <link rel="icon" href="<?php echo $data['media_fav']; ?>" sizes="32x32" type="image/png">
    <link href="<?php bloginfo('stylesheet_directory'); ?>/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
        <link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/css/owl.carousel.min.css">
    <link href="<?php bloginfo('stylesheet_directory'); ?>/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="<?php bloginfo('stylesheet_directory'); ?>/css/custom2.css" rel="stylesheet" type="text/css"/>
    <link href="<?php bloginfo('stylesheet_directory'); ?>/css/style.css" rel="stylesheet">

<!--    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>-->


    <?php if($data['font_body'] != ''): ?>
        <style>
            html, body{ color:<?php echo $data['font_body']['color']; ?> !important; font-size:<?php echo $data['font_body']['size']; ?>px !important; font-family:<?php echo $data['font_body']['face']; ?> !important;  font-weight:<?php echo $data['font_body']['style']; ?> !important }      
        </style>
        <?php endif; ?>

<?php if($data['font_h1'] != ''): ?>
        <style>
            h1{ color:<?php echo $data['font_h1']['color']; ?> !important; font-size:<?php echo $data['font_h1']['size']; ?>px !important; font-family:<?php echo $data['font_h1']['face']; ?> !important;  font-weight:<?php echo $data['font_h1']['style']; ?> !important }      
        </style>
        <?php endif; ?>

<?php if($data['font_h2'] != ''): ?>
        <style>
            h2{ color:<?php echo $data['font_h2']['color']; ?> !important; font-size:<?php echo $data['font_h2']['size']; ?>px !important; font-family:<?php echo $data['font_h2']['face']; ?> !important;  font-weight:<?php echo $data['font_h2']['style']; ?> !important }      
        </style>
        <?php endif; ?>

<?php if($data['font_h3'] != ''): ?>
        <style>
            h3{ color:<?php echo $data['font_h3']['color']; ?> !important; font-size:<?php echo $data['font_h3']['size']; ?>px !important; font-family:<?php echo $data['font_h3']['face']; ?> !important;  font-weight:<?php echo $data['font_h3']['style']; ?> !important }      
        </style>
        <?php endif; ?>

<?php if($data['font_h4'] != ''): ?>
        <style>
            h4{ color:<?php echo $data['font_h4']['color']; ?> !important; font-size:<?php echo $data['font_h4']['size']; ?>px !important; font-family:<?php echo $data['font_h4']['face']; ?> !important;  font-weight:<?php echo $data['font_h4']['style']; ?> !important }      
        </style>
        <?php endif; ?>

<?php if($data['font_h5'] != ''): ?>
        <style>
            h5{ color:<?php echo $data['font_h5']['color']; ?> !important; font-size:<?php echo $data['font_h5']['size']; ?>px !important; font-family:<?php echo $data['font_h5']['face']; ?> !important;  font-weight:<?php echo $data['font_h5']['style']; ?> !important }      
        </style>
        <?php endif; ?>

<?php if($data['font_h6'] != ''): ?>
        <style>
            h6{ color:<?php echo $data['font_h6']['color']; ?> !important; font-size:<?php echo $data['font_h6']['size']; ?>px !important; font-family:<?php echo $data['font_h6']['face']; ?> !important;  font-weight:<?php echo $data['font_h6']['style']; ?> !important }      
        </style>
        <?php endif; ?>


<?php if($data['font_para'] != ''): ?>
        <style>
            p{ color:<?php echo $data['font_para']['color']; ?> !important; font-size:<?php echo $data['font_para']['size']; ?>px !important; font-family:<?php echo $data['font_para']['face']; ?> !important;  font-weight:<?php echo $data['font_para']['style']; ?> !important }      
        </style>
        <?php endif; ?>

<?php if($data['font_slider'] != ''): ?>
        <style>
           .s_descrip h1{ color:<?php echo $data['font_slider']['color']; ?> !important; font-size:<?php echo $data['font_slider']['size']; ?>px !important; font-family:<?php echo $data['font_slider']['face']; ?> !important;  font-weight:<?php echo $data['font_slider']['style']; ?> !important }      
        </style>
        <?php endif; ?>

<?php if($data['font_banner_footer'] != ''): ?>
        <style>
           .footer_top h5, .inner_h_title h1{ color:<?php echo $data['font_banner_footer']['color']; ?> !important; font-size:<?php echo $data['font_banner_footer']['size']; ?>px !important; font-family:<?php echo $data['font_banner_footer']['face']; ?> !important;  font-weight:<?php echo $data['font_banner_footer']['style']; ?> !important }      
        </style>
        <?php endif; ?>

 <?php if($data['color_accent'] != ''): ?>
        <style>
            html, body{ background:<?php echo $data['color_accent']; ?> !important }      
        </style>
        <?php endif; ?>

    <?php if($data['font_nav'] != ''): ?>
        <style>
            .navbar-nav > li > a{ color:<?php echo $data['font_nav']['color']; ?>!important; font-size:<?php echo $data['font_nav']['size']; ?>px !important; font-style:<?php echo $data['font_nav']['style']; ?> !important}      
        </style>
        <?php endif; ?>

    <?php if($data['color_navlinkhover'] != ''): ?>
        <style>
            .navbar-nav > li > a:hover, .navbar-nav > li:hover > a{ color:<?php echo $data['color_navlinkhover']; ?>!important;}     
        </style>
        <?php endif; ?>

     <?php if($data['color_navlinkactive'] != ''): ?>
        <style>
            .navbar-nav > li > a:active{ color:<?php echo $data['color_navlinkactive']; ?>!important;}     
        </style>
        <?php endif; ?>

    <?php if($data['color_h1bgcolor'] != ''): ?>
        <style>
           .topbar{ background:<?php echo $data['color_h1bgcolor']; ?>!important;}   
        </style>
        <?php endif; ?>

     <?php if($data['color_hv2bgcolor'] != ''): ?>
        <style>
           .navbar{ background:<?php echo $data['color_hv2bgcolor']; ?>!important;}   
        </style>
        <?php endif; ?>

          <?php if($data['primary_background'] != ''): ?>
        <style>
           .open_hour_serv_cl,.btn,.mega_productive ul li .progress .progress-bar,#myCarousel .carousel-control-prev i, #myCarousel .carousel-control-next i,#myCarousel .carousel-indicators li.active,.c_number,.c_txt:after,.c_txt:before,.btn3 .r_arw,#myCarousel2 .carousel-control-prev i, #myCarousel2 .carousel-control-next i,.testimonial h6:before,.testimonial h6:after,.subscribeform form .btn,.footer_bottom{ background:<?php echo $data['primary_background']; ?>!important;}   
        </style>
        <?php endif; ?>

         <?php if($data['secondary_background'] != ''): ?>
        <style>
          .btn:hover, .btn:focus{ background:<?php echo $data['secondary_background']; ?>!important;}   
        </style>
        <?php endif; ?>
        

    <?php wp_head(); ?>
</head>

<body>


<header id="mainheader">
    <?php if ($data['show_add']==1){ ?>
    <div class="topbar">
        <div class="container">
            <div class="row">
                <div class="col-md-2"><?php echo $data['head_title']; ?></div>

                <div class="col-md-8 link3 text-center"><div class="address d-inline-block mr-4"><?php echo $data['add_head']; ?> : <?php echo $data['add']; ?></div>
                    <div class="phone_t d-inline-block mr-4">Phone : <?php echo $data['con_mob1_desc']; ?></div>
                    <div class="email_t d-inline-block">Email : <?php echo $data['con_email1']; ?></div></div>

                <div class="col-md-2 social_top text-right">
                    <?php if ($data['fb_header_footer']==1){ ?>
                        <a href="<?php echo $data['fb_url'] ?>" target="_blank"><i class="fa fa-facebook-f"></i></a>
                    <?php } ?>
                    <?php if ($data['tw_header_footer']==1){ ?>
                        <a href="<?php echo $data['tw_url'] ?>" target="_blank"><i class="fa fa-twitter"></i></a>
                    <?php } ?>
                    <?php if ($data['ig_header_footer']==1){ ?>
                        <a href="<?php echo $data['ig_url'] ?>" target="_blank"><i class="fa fa-instagram"></i></a>
                    <?php } ?>
                    <?php if ($data['pin_header_footer']==1){ ?>
                    <a href="<?php echo $data['pin_url'] ?>" target="_blank"><i class="fa fa-pinterest"></i></a>
                    <?php } ?>
                    <?php if ($data['tel_header_footer']==1){ ?>
                        <a href="<?php echo $data['tel_url'] ?>" target="_blank"><i class="fa fa-send"></i></a>
                    <?php } ?>
                </div>
            </div>


        </div>
        <?php } ?>
    </div>
    <nav class="navbar navbar-expand-md ">
        <div class="container">
            <div class=" row align-items-center ">
                <div class="col-md-3 col-9 "><button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon fa fa-bars"></span></button>
                    <div class="logo"> <a class="navbar-brand p-0 m-0"  href="#"><img src="<?php echo $data['media_logo']; ?>" class="img-fluid"  alt="img"></a> </div>

                </div>

                <div class="col-md-9 col-3 d-flex justify-content-between">
                    <div class="collapse  navbar-collapse"  id="navbarCollapse">

                        <ul class="navbar-nav  ">
                            <?php
//                            register_nav_menus( array(
//                                'primary' => __( 'Navbar Menu')
//                            ));
                            wp_nav_menu( array(
                                'primary'  => 'Navbar Menu',

                                'container'       => 'div',
                               // 'container_class' => 'collapse navbar-collapse',
                                //'container_id'    => 'bs-example-navbar-collapse-1',
                                'menu_class'      => 'navbar-nav mr-auto',
                                'fallback_cb'     => 'WP_Bootstrap_Navwalker::fallback',
                                'walker'          => new WP_Bootstrap_Navwalker(),
                            ) );
                            ?>




                        </ul>



                    </div>

                </div>

            </div>


        </div>
    </nav>
</header>